{{- define "main" -}}
<h1>{{ .Title }}</h1>
<div class="content">
  <div class="flex-content">
    {{ partial "list-currentsection-files" . }}
    {{ .Content }}
  </div>
  {{/* Listing content in the same package */}}
  <nav id="nav" class="nav nav-main">
    <h2 data-i18n="nav-content">{{ i18n "nav-content" }}</h2>
    {{- $.Scratch.Set "pagetitle" .Title -}}
    {{- $pagepermalink := .Permalink -}}
    <ul class="list-inline list-unstyled">
      {{- range where $.Site.RegularPages "Section" .CurrentSection.Type -}}
        <li class="{{ if eq $pagepermalink .Permalink }}active{{ end}}">{{ if not (eq $pagepermalink .Permalink) }}<a href="{{ .Permalink }}">{{ else }}<span>{{ end }}{{ .Title }}{{ if not (eq $pagepermalink .Permalink) }}</a>{{ else }}</span>{{ end }}</li>
      {{- end -}}
    </ul>
  </nav>
</div>
{{/* related posts with the same tags */}}
{{- $related := .Site.RegularPages.Related . | first 5 -}}
{{- if $related -}}
    <h4 class="page-header" data-i18n="title-related-content">{{ i18n "title-related-content" }}</h4>
    {{ range $related }}{{ partial "list-item" . }}{{- end -}}
{{- end -}}
{{- end -}}
